Bug 89761 - Fonts corrupted and import/export feature broken in Gnumeric
Fonts corrupted and import/export feature broken in Gnumeric
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnumeric (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
David Lawrence
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-04-27 16:40 EDT by Dan Reish
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-07 14:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Reish 2003-04-27 16:40:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I just installed Red Hat 9 on a new, blank drive, using the "Workstation" setup,
with several additional packages selected.  Before making any changes to the OS
or installation which might void my (non-)warranty, I ran 'gnumeric' to access a
budget spreadsheet I rely on for my basic survival.

Gnumeric loaded the spreadsheet, but the display was all wrong.  Everything not
in bold or italic was printed with dotted boxes between each pair of letters. 
The left-hand row-number list was two or three times wider than it should have
been.  In fact, all the fonts seem to have problems -- some worse than others. 
In most, the letters are spaced much too far apart.  In some, instead of extra
space between the letters, there are dotted boxes.

But far worse than the display glitches was the fact that most of the export
formats are missing.  In "File/Save As...", there should be roughly a dozen
different formats, including some more-or-less standard formats like Excel 95. 
Instead, the only options I see are Gnumeric XML, Bonobo EFS, and text export
(which doesn't save formulas).

I could settle for migrating my spreadsheet from Gnumeric to OpenOffice Calc,
but without a common file format, I can't even do that.

I used Gnumeric under Debian before switching back to Red Hat, and though Debian
screwed up many things, they got Gnumeric right.  I had a smoothly functioning
version of 1.0.10.  Now I'm using 1.0.12 under Red Hat 9, and it seems to have
taken a huge step backward.



Version-Release number of selected component (if applicable):
gnumeric-1.0.12-3

How reproducible:
Always

Steps to Reproduce:
1. Run gnumeric under Red Hat 9
2. Enter some text or numbers in a cell
3. Change the font
4. Try to Save As an Excel 95 file


Actual Results:  3. The fonts display incorrectly.  Characters are spaced very
widely.  One, New Century Schoolbook, displays correctly some of the time, but
not always.

4. It can't be done.

Expected Results:  3. Characters should be as close together in Gnumeric as they
are in any other app.

4. File/Save As... should present a menu of much more than three format options.

Additional info:
Comment 1 Havoc Pennington 2003-04-27 17:08:10 EDT
For the fonts, running as "LANG=en_US.ISO-8859-1 gnumeric" may make a difference, 
worth a try. In the past several people have expressed the opinion that this is
pretty unfixable otherwise, without breaking somthing else. Gnumeric upstream
maintainers only want to address it in the context of gnumeric 2 (for pretty
good reasons, probably). 

I have no idea what's up with the save as, will have to investigate.
Comment 2 Dan Reish 2003-05-28 08:19:08 EDT
Oops, I thought I replied to this weeks ago.  (Maybe I did, in email.)

Anyway, setting the locale as suggested fixes all the display problems.  Of
course, the save-as feature still appears to be broken.

Thanks.
Comment 3 Owen Taylor 2003-10-07 15:37:59 EDT
For Cambridge (=> Fedora Core Release 1) we're using gnumeric-1.2 which
is based on GTK+-2.0, and a completely different text display engine;
the text display problem should be fixed there.

However, the export plugins don't seem to be working correctly 
in our 1.2... package. It may be because the package doesn't seem
to be installing the GConf schemas. 

In the RHEL 3 betas, we are not currently including gnumeric.
Comment 4 Caolan McNamara 2004-05-07 14:58:46 EDT
redhat 9 is end of lifed now. In fedora core 2 we are using gnumeric
1.2.8 which is GTK2 and I don't see the whacked display issue anymore,
and the plugins are now working.

Note You need to log in before you can comment on or make changes to this bug.